Subject: Re: 28.0.50; A problem with rx-let expansion

From: Mattias Engdegård <[email-masked]>
Date: Mon, 23 Aug 2021 20:05:26 +0200

23 aug. 2021 kl. 18.59 skrev Michael Heerdegen <[email-masked]>:

> Maybe at least one sentence about that this mechanism just performs
> trivial substitution?

I didn't do that now, because I couldn't see how it could be interpreted otherwise (and there's the manual link).

> I find the term "user-defined" distracting, because anybody (including
> library and package developers) is "affected".  Apart from that, ok for
> me.

Thank you, changed.

> Didn't try the example, but it looks good.

Thanks for looking at it. Good examples are always hard to write!

> | (eval EXPR)    Match the rx sexp from evaluating EXPR at compile time.
> 
> can we say "expansion time" instead of "compile time"?

We can, and now do!

Closing; I think we're done here (complain if not).